package cn.com.qmth.examcloud.examwork.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.examwork.api.ExamCloudService;
import cn.com.qmth.examcloud.examwork.api.request.ExamReq;
import cn.com.qmth.examcloud.examwork.api.response.ExamResp;

/**
 * @author  	chenken
 * @date    	2018年5月3日 上午9:18:19
 * @company 	QMTH
 * @description ExamClient.java
 */
@Service
public class ExamCloudClient extends BasicCloudClientSupport implements ExamCloudService{
	
	private static final long serialVersionUID = -2880611326177571371L;
	
	@Autowired
	RestTemplate restTemplate;
	
	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}
	
	@Override
	public void saveExam(ExamReq exam) {
		post("exam", exam, ExamReq.class);
	}

	@Override
	public ExamResp findExamByExamReq(ExamReq examReq) {
		return post("exam/findExam", examReq, ExamResp.class);
	}
	
}

