package cn.com.qmth.examcloud.service.examwork.assembler;

import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.service.examwork.dto.ExamStudentDTO;
import cn.com.qmth.examcloud.service.examwork.entity.ExamStudent;

@Component
public class ExamStudentAssembler {
	
	public ExamStudentDTO toDTO(ExamStudent examStudent){
		ExamStudentDTO dto = null;
		if(examStudent != null){
			dto = new ExamStudentDTO();
			dto.setCourseCode(examStudent.getCourseCode());
			dto.setCourseLevel(examStudent.getCourseLevel());
			dto.setCourseName(examStudent.getCourseName());
			dto.setDegree(examStudent.getDegree());
			dto.setExam(examStudent.getExam());
			dto.setExamNumber(examStudent.getExamNumber());
			dto.setExamSite(examStudent.getExamSite());
			dto.setFinished(examStudent.getFinished());
			dto.setGrade(examStudent.getGrade());
			dto.setGraduated(examStudent.getGraduated());
			dto.setId(examStudent.getId());
			dto.setIdentityNumber(examStudent.getIdentityNumber());
			dto.setName(examStudent.getName());
			dto.setOrgCode(examStudent.getOrgCode());
			dto.setOrgName(examStudent.getOrgName());
			dto.setOrgId(examStudent.getOrgId());
			dto.setRemark(examStudent.getRemark());
			dto.setPaperType(examStudent.getPaperType());
			dto.setRepair(examStudent.getRepair());
			dto.setRootOrgId(examStudent.getRootOrgId());
			dto.setSpecialtyCode(examStudent.getSpecialtyCode());
			dto.setSpecialtyName(examStudent.getSpecialtyName());
			dto.setStudentCode(examStudent.getStudentCode());
		}
		return dto;
	}
	
	public ExamStudent toDomain(ExamStudentDTO dto){
		ExamStudent domain = null;
		if(dto != null){
			domain = new ExamStudent();
			domain.setCourseCode(dto.getCourseCode());
			domain.setCourseLevel(dto.getCourseLevel());
			domain.setCourseName(dto.getCourseName());
			domain.setDegree(dto.getDegree());
			domain.setExam(dto.getExam());
			domain.setExamNumber(dto.getExamNumber());
			domain.setExamSite(dto.getExamSite());
			domain.setFinished(dto.getFinished());
			domain.setGrade(dto.getGrade());
			domain.setGraduated(dto.getGraduated());
			domain.setId(dto.getId());
			domain.setIdentityNumber(dto.getIdentityNumber());
			domain.setName(dto.getName());
			domain.setOrgCode(dto.getOrgCode());
			domain.setOrgId(dto.getOrgId());
			domain.setOrgName(dto.getOrgName());
			domain.setPaperType(dto.getPaperType());
			domain.setRemark(dto.getRemark());
			domain.setRepair(dto.getRepair());
			domain.setRootOrgId(dto.getRootOrgId());
			domain.setSpecialtyCode(dto.getSpecialtyCode());
			domain.setSpecialtyName(dto.getSpecialtyName());
			domain.setStudentCode(dto.getStudentCode());
			domain.setInfoCollector(dto.getInfoCollector());
			domain.setPhone(dto.getPhone());
			domain.setStudentId(dto.getStudentId());
		}
		return domain;
	}
	
}
