package cn.com.qmth.examcloud.service.examwork.dao;

import cn.com.qmth.examcloud.service.examwork.entity.ExamOrgTime;
import cn.com.qmth.examcloud.service.examwork.entity.ExamStudent;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

public interface ExamOrgTimeRepo extends JpaRepository<ExamOrgTime, Long>, JpaSpecificationExecutor<ExamOrgTime> {

	List<ExamOrgTime> findByExamId(Long examId);

	Page<ExamOrgTime> findByExamId(Long examId, Pageable pageable);

	ExamOrgTime findFirstByExamIdAndOrgId(Long examId,Long orgId);

	@Transactional
	@Modifying
	@Query("delete from ExamOrgTime where examId = ?1")
	void deleteByExamId(Long examId);
}
