package cn.com.qmth.examcloud.service.examwork.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.service.examwork.entity.Exam;
import org.springframework.transaction.annotation.Transactional;

public interface ExamRepo extends JpaRepository<Exam, Long>,QueryByExampleExecutor<Exam>{

	List<Exam> findByOrgId(Long orgId);

//	void deleteByIdIn(List<Long> ids);

	List<Exam> findByIdIn(List<Long> ids);

	List<Exam> findByNameAndRootOrgId(String name,Long rootOrgId);
	
	Long countByName(String name);

	Long countByNameAndRootOrgId(String name,Long rootOrgId);

	Long countByNameAndIdNot(String name,Long id);

	Long countByNameAndRootOrgIdAndIdNot(String name,Long rootOrgId,Long id);

	@Transactional
	@Modifying
	@Query("update Exam e set e.canStuDel = false where e.id = ?1")
	void canNotDel(Long id);
}
