package cn.com.qmth.examcloud.service.examwork.service.rpc;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.common.dto.core.Student;
import cn.com.qmth.examcloud.commons.base.util.GsonUtil;
import cn.com.qmth.examcloud.service.examwork.service.rpc.client.StudentClient;

/**
 * 
 * @author ting.yin
 * @date 2017年1月14日
 */
@Service
public class StudentService {

	@Autowired
	StudentClient studentClient;

	public Student updatePhoto(String identityNumber) {
		String json = studentClient.updatePhoto(identityNumber);
		Student domain = GsonUtil.getInstanceByJson(json, Student.class);
		return domain;
	}
	
	public Student addStudent(Student student) {
		String json = studentClient.addStudent(student);
		Student domain = GsonUtil.getInstanceByJson(json, Student.class);
		return domain;
	}

	public Student updateStudent(Student student) {
		String json = studentClient.updateStudent(student);
		Student domain = GsonUtil.getInstanceByJson(json, Student.class);
		return domain;
	}

	public Student getStudent(Long id) {
		String json = studentClient.getStudent(id);
		Student domain = GsonUtil.getInstanceByJson(json, Student.class);
		return domain;
	}

	public void deleteStudent(Long id) {
		studentClient.deleteStudent(id);
	}

}
