package cn.com.qmth.examcloud.service.examwork.service.rpc.client;

import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.*;

import cn.com.qmth.examcloud.common.dto.core.Student;

/**
 * @Description: TODO
 * @author ting.yin
 * @date 2017年1月14日
 */
@FeignClient(value = "ExamCloud-service-core")
public interface StudentClient {

	@RequestMapping(method = RequestMethod.GET, value = "${app.api.core}/student")
	String updatePhoto(@RequestParam("identityNumber") String identityNumber);

	@RequestMapping(method = RequestMethod.POST, value = "${app.api.core}/student")
	String addStudent(@RequestBody Student student);

	@RequestMapping(method = RequestMethod.GET, value = "${app.api.core}/student/{id}")
	String getStudent(@PathVariable("id") Long id);

	@RequestMapping(method = RequestMethod.PUT, value = "${app.api.core}/student")
	String updateStudent(@RequestBody Student student);

	@RequestMapping(method = RequestMethod.DELETE, value = "${app.api.core}/student/{id}")
	void deleteStudent(@PathVariable("id") Long id);

}
